// Code generated by protoc-gen-go. DO NOT EDIT.
// source: canopy.proto

package canopy

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Presence int32

const (
	Presence_PresenceReserved Presence = 0
	Presence_Present          Presence = 1
	Presence_Absent           Presence = 2
)

var Presence_name = map[int32]string{
	0: "PresenceReserved",
	1: "Present",
	2: "Absent",
}

var Presence_value = map[string]int32{
	"PresenceReserved": 0,
	"Present":          1,
	"Absent":           2,
}

func (x Presence) String() string {
	return proto.EnumName(Presence_name, int32(x))
}

func (Presence) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{0}
}

type UpDown int32

const (
	UpDown_UpDownReserved UpDown = 0
	UpDown_Up             UpDown = 1
	UpDown_Down           UpDown = 2
)

var UpDown_name = map[int32]string{
	0: "UpDownReserved",
	1: "Up",
	2: "Down",
}

var UpDown_value = map[string]int32{
	"UpDownReserved": 0,
	"Up":             1,
	"Down":           2,
}

func (x UpDown) String() string {
	return proto.EnumName(UpDown_name, int32(x))
}

func (UpDown) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{1}
}

type OnOff int32

const (
	OnOff_OnOffReserved OnOff = 0
	OnOff_On            OnOff = 1
	OnOff_Off           OnOff = 2
)

var OnOff_name = map[int32]string{
	0: "OnOffReserved",
	1: "On",
	2: "Off",
}

var OnOff_value = map[string]int32{
	"OnOffReserved": 0,
	"On":            1,
	"Off":           2,
}

func (x OnOff) String() string {
	return proto.EnumName(OnOff_name, int32(x))
}

func (OnOff) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{2}
}

type Master struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	Value                string   `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Master) Reset()         { *m = Master{} }
func (m *Master) String() string { return proto.CompactTextString(m) }
func (*Master) ProtoMessage()    {}
func (*Master) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{0}
}

func (m *Master) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Master.Unmarshal(m, b)
}
func (m *Master) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Master.Marshal(b, m, deterministic)
}
func (m *Master) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Master.Merge(m, src)
}
func (m *Master) XXX_Size() int {
	return xxx_messageInfo_Master.Size(m)
}
func (m *Master) XXX_DiscardUnknown() {
	xxx_messageInfo_Master.DiscardUnknown(m)
}

var xxx_messageInfo_Master proto.InternalMessageInfo

func (m *Master) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

func (m *Master) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

type Access struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	Vid                  int32    `protobuf:"varint,2,opt,name=vid,proto3" json:"vid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Access) Reset()         { *m = Access{} }
func (m *Access) String() string { return proto.CompactTextString(m) }
func (*Access) ProtoMessage()    {}
func (*Access) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{1}
}

func (m *Access) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Access.Unmarshal(m, b)
}
func (m *Access) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Access.Marshal(b, m, deterministic)
}
func (m *Access) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Access.Merge(m, src)
}
func (m *Access) XXX_Size() int {
	return xxx_messageInfo_Access.Size(m)
}
func (m *Access) XXX_DiscardUnknown() {
	xxx_messageInfo_Access.DiscardUnknown(m)
}

var xxx_messageInfo_Access proto.InternalMessageInfo

func (m *Access) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

func (m *Access) GetVid() int32 {
	if m != nil {
		return m.Vid
	}
	return 0
}

type Tagged struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	Vids                 []int32  `protobuf:"varint,2,rep,packed,name=vids,proto3" json:"vids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Tagged) Reset()         { *m = Tagged{} }
func (m *Tagged) String() string { return proto.CompactTextString(m) }
func (*Tagged) ProtoMessage()    {}
func (*Tagged) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{2}
}

func (m *Tagged) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Tagged.Unmarshal(m, b)
}
func (m *Tagged) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Tagged.Marshal(b, m, deterministic)
}
func (m *Tagged) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Tagged.Merge(m, src)
}
func (m *Tagged) XXX_Size() int {
	return xxx_messageInfo_Tagged.Size(m)
}
func (m *Tagged) XXX_DiscardUnknown() {
	xxx_messageInfo_Tagged.DiscardUnknown(m)
}

var xxx_messageInfo_Tagged proto.InternalMessageInfo

func (m *Tagged) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

func (m *Tagged) GetVids() []int32 {
	if m != nil {
		return m.Vids
	}
	return nil
}

type Untagged struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	Vids                 []int32  `protobuf:"varint,2,rep,packed,name=vids,proto3" json:"vids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Untagged) Reset()         { *m = Untagged{} }
func (m *Untagged) String() string { return proto.CompactTextString(m) }
func (*Untagged) ProtoMessage()    {}
func (*Untagged) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{3}
}

func (m *Untagged) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Untagged.Unmarshal(m, b)
}
func (m *Untagged) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Untagged.Marshal(b, m, deterministic)
}
func (m *Untagged) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Untagged.Merge(m, src)
}
func (m *Untagged) XXX_Size() int {
	return xxx_messageInfo_Untagged.Size(m)
}
func (m *Untagged) XXX_DiscardUnknown() {
	xxx_messageInfo_Untagged.DiscardUnknown(m)
}

var xxx_messageInfo_Untagged proto.InternalMessageInfo

func (m *Untagged) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

func (m *Untagged) GetVids() []int32 {
	if m != nil {
		return m.Vids
	}
	return nil
}

type Parent struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	Value                string   `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Parent) Reset()         { *m = Parent{} }
func (m *Parent) String() string { return proto.CompactTextString(m) }
func (*Parent) ProtoMessage()    {}
func (*Parent) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{4}
}

func (m *Parent) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Parent.Unmarshal(m, b)
}
func (m *Parent) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Parent.Marshal(b, m, deterministic)
}
func (m *Parent) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Parent.Merge(m, src)
}
func (m *Parent) XXX_Size() int {
	return xxx_messageInfo_Parent.Size(m)
}
func (m *Parent) XXX_DiscardUnknown() {
	xxx_messageInfo_Parent.DiscardUnknown(m)
}

var xxx_messageInfo_Parent proto.InternalMessageInfo

func (m *Parent) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

func (m *Parent) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

type Port struct {
	State                UpDown   `protobuf:"varint,1,opt,name=state,proto3,enum=canopy.UpDown" json:"state,omitempty"`
	Mtu                  int32    `protobuf:"varint,2,opt,name=mtu,proto3" json:"mtu,omitempty"`
	Bridge               string   `protobuf:"bytes,3,opt,name=bridge,proto3" json:"bridge,omitempty"`
	Access               int32    `protobuf:"varint,4,opt,name=access,proto3" json:"access,omitempty"`
	Tagged               []int32  `protobuf:"varint,5,rep,packed,name=tagged,proto3" json:"tagged,omitempty"`
	Untagged             []int32  `protobuf:"varint,6,rep,packed,name=untagged,proto3" json:"untagged,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Port) Reset()         { *m = Port{} }
func (m *Port) String() string { return proto.CompactTextString(m) }
func (*Port) ProtoMessage()    {}
func (*Port) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{5}
}

func (m *Port) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Port.Unmarshal(m, b)
}
func (m *Port) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Port.Marshal(b, m, deterministic)
}
func (m *Port) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Port.Merge(m, src)
}
func (m *Port) XXX_Size() int {
	return xxx_messageInfo_Port.Size(m)
}
func (m *Port) XXX_DiscardUnknown() {
	xxx_messageInfo_Port.DiscardUnknown(m)
}

var xxx_messageInfo_Port proto.InternalMessageInfo

func (m *Port) GetState() UpDown {
	if m != nil {
		return m.State
	}
	return UpDown_UpDownReserved
}

func (m *Port) GetMtu() int32 {
	if m != nil {
		return m.Mtu
	}
	return 0
}

func (m *Port) GetBridge() string {
	if m != nil {
		return m.Bridge
	}
	return ""
}

func (m *Port) GetAccess() int32 {
	if m != nil {
		return m.Access
	}
	return 0
}

func (m *Port) GetTagged() []int32 {
	if m != nil {
		return m.Tagged
	}
	return nil
}

func (m *Port) GetUntagged() []int32 {
	if m != nil {
		return m.Untagged
	}
	return nil
}

type Vtep struct {
	State                UpDown   `protobuf:"varint,1,opt,name=state,proto3,enum=canopy.UpDown" json:"state,omitempty"`
	Vni                  int32    `protobuf:"varint,2,opt,name=vni,proto3" json:"vni,omitempty"`
	BridgeAccess         int32    `protobuf:"varint,3,opt,name=bridge_access,json=bridgeAccess,proto3" json:"bridge_access,omitempty"`
	Device               string   `protobuf:"bytes,4,opt,name=device,proto3" json:"device,omitempty"`
	Bridge               string   `protobuf:"bytes,5,opt,name=bridge,proto3" json:"bridge,omitempty"`
	Learning             OnOff    `protobuf:"varint,6,opt,name=learning,proto3,enum=canopy.OnOff" json:"learning,omitempty"`
	LocalIP              string   `protobuf:"bytes,7,opt,name=localIP,proto3" json:"localIP,omitempty"`
	Mtu                  int32    `protobuf:"varint,8,opt,name=mtu,proto3" json:"mtu,omitempty"`
	Access               int32    `protobuf:"varint,9,opt,name=access,proto3" json:"access,omitempty"`
	Tagged               []int32  `protobuf:"varint,10,rep,packed,name=tagged,proto3" json:"tagged,omitempty"`
	Untagged             []int32  `protobuf:"varint,11,rep,packed,name=untagged,proto3" json:"untagged,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Vtep) Reset()         { *m = Vtep{} }
func (m *Vtep) String() string { return proto.CompactTextString(m) }
func (*Vtep) ProtoMessage()    {}
func (*Vtep) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{6}
}

func (m *Vtep) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Vtep.Unmarshal(m, b)
}
func (m *Vtep) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Vtep.Marshal(b, m, deterministic)
}
func (m *Vtep) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Vtep.Merge(m, src)
}
func (m *Vtep) XXX_Size() int {
	return xxx_messageInfo_Vtep.Size(m)
}
func (m *Vtep) XXX_DiscardUnknown() {
	xxx_messageInfo_Vtep.DiscardUnknown(m)
}

var xxx_messageInfo_Vtep proto.InternalMessageInfo

func (m *Vtep) GetState() UpDown {
	if m != nil {
		return m.State
	}
	return UpDown_UpDownReserved
}

func (m *Vtep) GetVni() int32 {
	if m != nil {
		return m.Vni
	}
	return 0
}

func (m *Vtep) GetBridgeAccess() int32 {
	if m != nil {
		return m.BridgeAccess
	}
	return 0
}

func (m *Vtep) GetDevice() string {
	if m != nil {
		return m.Device
	}
	return ""
}

func (m *Vtep) GetBridge() string {
	if m != nil {
		return m.Bridge
	}
	return ""
}

func (m *Vtep) GetLearning() OnOff {
	if m != nil {
		return m.Learning
	}
	return OnOff_OnOffReserved
}

func (m *Vtep) GetLocalIP() string {
	if m != nil {
		return m.LocalIP
	}
	return ""
}

func (m *Vtep) GetMtu() int32 {
	if m != nil {
		return m.Mtu
	}
	return 0
}

func (m *Vtep) GetAccess() int32 {
	if m != nil {
		return m.Access
	}
	return 0
}

func (m *Vtep) GetTagged() []int32 {
	if m != nil {
		return m.Tagged
	}
	return nil
}

func (m *Vtep) GetUntagged() []int32 {
	if m != nil {
		return m.Untagged
	}
	return nil
}

type VtepPresence struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	Vni                  int32    `protobuf:"varint,2,opt,name=vni,proto3" json:"vni,omitempty"`
	TunnelIp             string   `protobuf:"bytes,3,opt,name=tunnel_ip,json=tunnelIp,proto3" json:"tunnel_ip,omitempty"`
	Parent               string   `protobuf:"bytes,4,opt,name=parent,proto3" json:"parent,omitempty"`
	Learning             OnOff    `protobuf:"varint,5,opt,name=learning,proto3,enum=canopy.OnOff" json:"learning,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *VtepPresence) Reset()         { *m = VtepPresence{} }
func (m *VtepPresence) String() string { return proto.CompactTextString(m) }
func (*VtepPresence) ProtoMessage()    {}
func (*VtepPresence) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{7}
}

func (m *VtepPresence) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VtepPresence.Unmarshal(m, b)
}
func (m *VtepPresence) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VtepPresence.Marshal(b, m, deterministic)
}
func (m *VtepPresence) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VtepPresence.Merge(m, src)
}
func (m *VtepPresence) XXX_Size() int {
	return xxx_messageInfo_VtepPresence.Size(m)
}
func (m *VtepPresence) XXX_DiscardUnknown() {
	xxx_messageInfo_VtepPresence.DiscardUnknown(m)
}

var xxx_messageInfo_VtepPresence proto.InternalMessageInfo

func (m *VtepPresence) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

func (m *VtepPresence) GetVni() int32 {
	if m != nil {
		return m.Vni
	}
	return 0
}

func (m *VtepPresence) GetTunnelIp() string {
	if m != nil {
		return m.TunnelIp
	}
	return ""
}

func (m *VtepPresence) GetParent() string {
	if m != nil {
		return m.Parent
	}
	return ""
}

func (m *VtepPresence) GetLearning() OnOff {
	if m != nil {
		return m.Learning
	}
	return OnOff_OnOffReserved
}

type BridgePresence struct {
	Presence             Presence `protobuf:"varint,1,opt,name=presence,proto3,enum=canopy.Presence" json:"presence,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *BridgePresence) Reset()         { *m = BridgePresence{} }
func (m *BridgePresence) String() string { return proto.CompactTextString(m) }
func (*BridgePresence) ProtoMessage()    {}
func (*BridgePresence) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{8}
}

func (m *BridgePresence) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BridgePresence.Unmarshal(m, b)
}
func (m *BridgePresence) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BridgePresence.Marshal(b, m, deterministic)
}
func (m *BridgePresence) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BridgePresence.Merge(m, src)
}
func (m *BridgePresence) XXX_Size() int {
	return xxx_messageInfo_BridgePresence.Size(m)
}
func (m *BridgePresence) XXX_DiscardUnknown() {
	xxx_messageInfo_BridgePresence.DiscardUnknown(m)
}

var xxx_messageInfo_BridgePresence proto.InternalMessageInfo

func (m *BridgePresence) GetPresence() Presence {
	if m != nil {
		return m.Presence
	}
	return Presence_PresenceReserved
}

type VlanAware struct {
	Value                bool     `protobuf:"varint,1,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *VlanAware) Reset()         { *m = VlanAware{} }
func (m *VlanAware) String() string { return proto.CompactTextString(m) }
func (*VlanAware) ProtoMessage()    {}
func (*VlanAware) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{9}
}

func (m *VlanAware) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VlanAware.Unmarshal(m, b)
}
func (m *VlanAware) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VlanAware.Marshal(b, m, deterministic)
}
func (m *VlanAware) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VlanAware.Merge(m, src)
}
func (m *VlanAware) XXX_Size() int {
	return xxx_messageInfo_VlanAware.Size(m)
}
func (m *VlanAware) XXX_DiscardUnknown() {
	xxx_messageInfo_VlanAware.DiscardUnknown(m)
}

var xxx_messageInfo_VlanAware proto.InternalMessageInfo

func (m *VlanAware) GetValue() bool {
	if m != nil {
		return m.Value
	}
	return false
}

type Bridge struct {
	State                UpDown   `protobuf:"varint,1,opt,name=state,proto3,enum=canopy.UpDown" json:"state,omitempty"`
	VlanAware            bool     `protobuf:"varint,2,opt,name=vlan_aware,json=vlanAware,proto3" json:"vlan_aware,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *Bridge) Reset()         { *m = Bridge{} }
func (m *Bridge) String() string { return proto.CompactTextString(m) }
func (*Bridge) ProtoMessage()    {}
func (*Bridge) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{10}
}

func (m *Bridge) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Bridge.Unmarshal(m, b)
}
func (m *Bridge) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Bridge.Marshal(b, m, deterministic)
}
func (m *Bridge) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Bridge.Merge(m, src)
}
func (m *Bridge) XXX_Size() int {
	return xxx_messageInfo_Bridge.Size(m)
}
func (m *Bridge) XXX_DiscardUnknown() {
	xxx_messageInfo_Bridge.DiscardUnknown(m)
}

var xxx_messageInfo_Bridge proto.InternalMessageInfo

func (m *Bridge) GetState() UpDown {
	if m != nil {
		return m.State
	}
	return UpDown_UpDownReserved
}

func (m *Bridge) GetVlanAware() bool {
	if m != nil {
		return m.VlanAware
	}
	return false
}

type Property struct {
	Element string `protobuf:"bytes,1,opt,name=element,proto3" json:"element,omitempty"`
	Order   int32  `protobuf:"varint,2,opt,name=order,proto3" json:"order,omitempty"`
	// Types that are valid to be assigned to Value:
	//	*Property_Link
	//	*Property_Mtu
	//	*Property_Access
	//	*Property_Tagged
	//	*Property_Untagged
	//	*Property_Master
	//	*Property_Vtep
	//	*Property_Learning
	//	*Property_Bridge
	//	*Property_VlanAware
	Value                isProperty_Value `protobuf_oneof:"value"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-" yaml:"-"`
	XXX_unrecognized     []byte           `json:"-" yaml:"-"`
	XXX_sizecache        int32            `json:"-" yaml:"-"`
}

func (m *Property) Reset()         { *m = Property{} }
func (m *Property) String() string { return proto.CompactTextString(m) }
func (*Property) ProtoMessage()    {}
func (*Property) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{11}
}

func (m *Property) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Property.Unmarshal(m, b)
}
func (m *Property) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Property.Marshal(b, m, deterministic)
}
func (m *Property) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Property.Merge(m, src)
}
func (m *Property) XXX_Size() int {
	return xxx_messageInfo_Property.Size(m)
}
func (m *Property) XXX_DiscardUnknown() {
	xxx_messageInfo_Property.DiscardUnknown(m)
}

var xxx_messageInfo_Property proto.InternalMessageInfo

func (m *Property) GetElement() string {
	if m != nil {
		return m.Element
	}
	return ""
}

func (m *Property) GetOrder() int32 {
	if m != nil {
		return m.Order
	}
	return 0
}

type isProperty_Value interface {
	isProperty_Value()
}

type Property_Link struct {
	Link UpDown `protobuf:"varint,3,opt,name=link,proto3,enum=canopy.UpDown,oneof"`
}

type Property_Mtu struct {
	Mtu int32 `protobuf:"varint,4,opt,name=mtu,proto3,oneof"`
}

type Property_Access struct {
	Access *Access `protobuf:"bytes,5,opt,name=access,proto3,oneof"`
}

type Property_Tagged struct {
	Tagged *Tagged `protobuf:"bytes,6,opt,name=tagged,proto3,oneof"`
}

type Property_Untagged struct {
	Untagged *Untagged `protobuf:"bytes,7,opt,name=untagged,proto3,oneof"`
}

type Property_Master struct {
	Master *Master `protobuf:"bytes,8,opt,name=master,proto3,oneof"`
}

type Property_Vtep struct {
	Vtep *VtepPresence `protobuf:"bytes,9,opt,name=vtep,proto3,oneof"`
}

type Property_Learning struct {
	Learning OnOff `protobuf:"varint,10,opt,name=learning,proto3,enum=canopy.OnOff,oneof"`
}

type Property_Bridge struct {
	Bridge Presence `protobuf:"varint,11,opt,name=bridge,proto3,enum=canopy.Presence,oneof"`
}

type Property_VlanAware struct {
	VlanAware bool `protobuf:"varint,12,opt,name=vlan_aware,json=vlanAware,proto3,oneof"`
}

func (*Property_Link) isProperty_Value() {}

func (*Property_Mtu) isProperty_Value() {}

func (*Property_Access) isProperty_Value() {}

func (*Property_Tagged) isProperty_Value() {}

func (*Property_Untagged) isProperty_Value() {}

func (*Property_Master) isProperty_Value() {}

func (*Property_Vtep) isProperty_Value() {}

func (*Property_Learning) isProperty_Value() {}

func (*Property_Bridge) isProperty_Value() {}

func (*Property_VlanAware) isProperty_Value() {}

func (m *Property) GetValue() isProperty_Value {
	if m != nil {
		return m.Value
	}
	return nil
}

func (m *Property) GetLink() UpDown {
	if x, ok := m.GetValue().(*Property_Link); ok {
		return x.Link
	}
	return UpDown_UpDownReserved
}

func (m *Property) GetMtu() int32 {
	if x, ok := m.GetValue().(*Property_Mtu); ok {
		return x.Mtu
	}
	return 0
}

func (m *Property) GetAccess() *Access {
	if x, ok := m.GetValue().(*Property_Access); ok {
		return x.Access
	}
	return nil
}

func (m *Property) GetTagged() *Tagged {
	if x, ok := m.GetValue().(*Property_Tagged); ok {
		return x.Tagged
	}
	return nil
}

func (m *Property) GetUntagged() *Untagged {
	if x, ok := m.GetValue().(*Property_Untagged); ok {
		return x.Untagged
	}
	return nil
}

func (m *Property) GetMaster() *Master {
	if x, ok := m.GetValue().(*Property_Master); ok {
		return x.Master
	}
	return nil
}

func (m *Property) GetVtep() *VtepPresence {
	if x, ok := m.GetValue().(*Property_Vtep); ok {
		return x.Vtep
	}
	return nil
}

func (m *Property) GetLearning() OnOff {
	if x, ok := m.GetValue().(*Property_Learning); ok {
		return x.Learning
	}
	return OnOff_OnOffReserved
}

func (m *Property) GetBridge() Presence {
	if x, ok := m.GetValue().(*Property_Bridge); ok {
		return x.Bridge
	}
	return Presence_PresenceReserved
}

func (m *Property) GetVlanAware() bool {
	if x, ok := m.GetValue().(*Property_VlanAware); ok {
		return x.VlanAware
	}
	return false
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Property) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Property_Link)(nil),
		(*Property_Mtu)(nil),
		(*Property_Access)(nil),
		(*Property_Tagged)(nil),
		(*Property_Untagged)(nil),
		(*Property_Master)(nil),
		(*Property_Vtep)(nil),
		(*Property_Learning)(nil),
		(*Property_Bridge)(nil),
		(*Property_VlanAware)(nil),
	}
}

type Element struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to Value:
	//	*Element_Port
	//	*Element_Vtep
	//	*Element_Bridge
	Value                isElement_Value `protobuf_oneof:"value"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-" yaml:"-"`
	XXX_unrecognized     []byte          `json:"-" yaml:"-"`
	XXX_sizecache        int32           `json:"-" yaml:"-"`
}

func (m *Element) Reset()         { *m = Element{} }
func (m *Element) String() string { return proto.CompactTextString(m) }
func (*Element) ProtoMessage()    {}
func (*Element) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{12}
}

func (m *Element) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Element.Unmarshal(m, b)
}
func (m *Element) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Element.Marshal(b, m, deterministic)
}
func (m *Element) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Element.Merge(m, src)
}
func (m *Element) XXX_Size() int {
	return xxx_messageInfo_Element.Size(m)
}
func (m *Element) XXX_DiscardUnknown() {
	xxx_messageInfo_Element.DiscardUnknown(m)
}

var xxx_messageInfo_Element proto.InternalMessageInfo

func (m *Element) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isElement_Value interface {
	isElement_Value()
}

type Element_Port struct {
	Port *Port `protobuf:"bytes,2,opt,name=port,proto3,oneof"`
}

type Element_Vtep struct {
	Vtep *Vtep `protobuf:"bytes,3,opt,name=vtep,proto3,oneof"`
}

type Element_Bridge struct {
	Bridge *Bridge `protobuf:"bytes,4,opt,name=bridge,proto3,oneof"`
}

func (*Element_Port) isElement_Value() {}

func (*Element_Vtep) isElement_Value() {}

func (*Element_Bridge) isElement_Value() {}

func (m *Element) GetValue() isElement_Value {
	if m != nil {
		return m.Value
	}
	return nil
}

func (m *Element) GetPort() *Port {
	if x, ok := m.GetValue().(*Element_Port); ok {
		return x.Port
	}
	return nil
}

func (m *Element) GetVtep() *Vtep {
	if x, ok := m.GetValue().(*Element_Vtep); ok {
		return x.Vtep
	}
	return nil
}

func (m *Element) GetBridge() *Bridge {
	if x, ok := m.GetValue().(*Element_Bridge); ok {
		return x.Bridge
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Element) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Element_Port)(nil),
		(*Element_Vtep)(nil),
		(*Element_Bridge)(nil),
	}
}

type SetRequest struct {
	Properties           []*Property `protobuf:"bytes,1,rep,name=properties,proto3" json:"properties,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-" yaml:"-"`
	XXX_unrecognized     []byte      `json:"-" yaml:"-"`
	XXX_sizecache        int32       `json:"-" yaml:"-"`
}

func (m *SetRequest) Reset()         { *m = SetRequest{} }
func (m *SetRequest) String() string { return proto.CompactTextString(m) }
func (*SetRequest) ProtoMessage()    {}
func (*SetRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{13}
}

func (m *SetRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetRequest.Unmarshal(m, b)
}
func (m *SetRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetRequest.Marshal(b, m, deterministic)
}
func (m *SetRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetRequest.Merge(m, src)
}
func (m *SetRequest) XXX_Size() int {
	return xxx_messageInfo_SetRequest.Size(m)
}
func (m *SetRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SetRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SetRequest proto.InternalMessageInfo

func (m *SetRequest) GetProperties() []*Property {
	if m != nil {
		return m.Properties
	}
	return nil
}

type SetResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *SetResponse) Reset()         { *m = SetResponse{} }
func (m *SetResponse) String() string { return proto.CompactTextString(m) }
func (*SetResponse) ProtoMessage()    {}
func (*SetResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{14}
}

func (m *SetResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetResponse.Unmarshal(m, b)
}
func (m *SetResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetResponse.Marshal(b, m, deterministic)
}
func (m *SetResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetResponse.Merge(m, src)
}
func (m *SetResponse) XXX_Size() int {
	return xxx_messageInfo_SetResponse.Size(m)
}
func (m *SetResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SetResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SetResponse proto.InternalMessageInfo

type GetRequest struct {
	Names                []string `protobuf:"bytes,1,rep,name=names,proto3" json:"names,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *GetRequest) Reset()         { *m = GetRequest{} }
func (m *GetRequest) String() string { return proto.CompactTextString(m) }
func (*GetRequest) ProtoMessage()    {}
func (*GetRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{15}
}

func (m *GetRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetRequest.Unmarshal(m, b)
}
func (m *GetRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetRequest.Marshal(b, m, deterministic)
}
func (m *GetRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetRequest.Merge(m, src)
}
func (m *GetRequest) XXX_Size() int {
	return xxx_messageInfo_GetRequest.Size(m)
}
func (m *GetRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetRequest proto.InternalMessageInfo

func (m *GetRequest) GetNames() []string {
	if m != nil {
		return m.Names
	}
	return nil
}

type GetResponse struct {
	Elements             []*Element `protobuf:"bytes,1,rep,name=elements,proto3" json:"elements,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-" yaml:"-"`
	XXX_unrecognized     []byte     `json:"-" yaml:"-"`
	XXX_sizecache        int32      `json:"-" yaml:"-"`
}

func (m *GetResponse) Reset()         { *m = GetResponse{} }
func (m *GetResponse) String() string { return proto.CompactTextString(m) }
func (*GetResponse) ProtoMessage()    {}
func (*GetResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{16}
}

func (m *GetResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetResponse.Unmarshal(m, b)
}
func (m *GetResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetResponse.Marshal(b, m, deterministic)
}
func (m *GetResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetResponse.Merge(m, src)
}
func (m *GetResponse) XXX_Size() int {
	return xxx_messageInfo_GetResponse.Size(m)
}
func (m *GetResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetResponse proto.InternalMessageInfo

func (m *GetResponse) GetElements() []*Element {
	if m != nil {
		return m.Elements
	}
	return nil
}

type ListRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-"`
}

func (m *ListRequest) Reset()         { *m = ListRequest{} }
func (m *ListRequest) String() string { return proto.CompactTextString(m) }
func (*ListRequest) ProtoMessage()    {}
func (*ListRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{17}
}

func (m *ListRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListRequest.Unmarshal(m, b)
}
func (m *ListRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListRequest.Marshal(b, m, deterministic)
}
func (m *ListRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListRequest.Merge(m, src)
}
func (m *ListRequest) XXX_Size() int {
	return xxx_messageInfo_ListRequest.Size(m)
}
func (m *ListRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListRequest proto.InternalMessageInfo

type ListResponse struct {
	Elements             []*Element `protobuf:"bytes,1,rep,name=elements,proto3" json:"elements,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-" yaml:"-"`
	XXX_unrecognized     []byte     `json:"-" yaml:"-"`
	XXX_sizecache        int32      `json:"-" yaml:"-"`
}

func (m *ListResponse) Reset()         { *m = ListResponse{} }
func (m *ListResponse) String() string { return proto.CompactTextString(m) }
func (*ListResponse) ProtoMessage()    {}
func (*ListResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_1982fe509e091234, []int{18}
}

func (m *ListResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListResponse.Unmarshal(m, b)
}
func (m *ListResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListResponse.Marshal(b, m, deterministic)
}
func (m *ListResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListResponse.Merge(m, src)
}
func (m *ListResponse) XXX_Size() int {
	return xxx_messageInfo_ListResponse.Size(m)
}
func (m *ListResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListResponse proto.InternalMessageInfo

func (m *ListResponse) GetElements() []*Element {
	if m != nil {
		return m.Elements
	}
	return nil
}

func init() {
	proto.RegisterEnum("canopy.Presence", Presence_name, Presence_value)
	proto.RegisterEnum("canopy.UpDown", UpDown_name, UpDown_value)
	proto.RegisterEnum("canopy.OnOff", OnOff_name, OnOff_value)
	proto.RegisterType((*Master)(nil), "canopy.Master")
	proto.RegisterType((*Access)(nil), "canopy.Access")
	proto.RegisterType((*Tagged)(nil), "canopy.Tagged")
	proto.RegisterType((*Untagged)(nil), "canopy.Untagged")
	proto.RegisterType((*Parent)(nil), "canopy.Parent")
	proto.RegisterType((*Port)(nil), "canopy.Port")
	proto.RegisterType((*Vtep)(nil), "canopy.Vtep")
	proto.RegisterType((*VtepPresence)(nil), "canopy.VtepPresence")
	proto.RegisterType((*BridgePresence)(nil), "canopy.BridgePresence")
	proto.RegisterType((*VlanAware)(nil), "canopy.VlanAware")
	proto.RegisterType((*Bridge)(nil), "canopy.Bridge")
	proto.RegisterType((*Property)(nil), "canopy.Property")
	proto.RegisterType((*Element)(nil), "canopy.Element")
	proto.RegisterType((*SetRequest)(nil), "canopy.SetRequest")
	proto.RegisterType((*SetResponse)(nil), "canopy.SetResponse")
	proto.RegisterType((*GetRequest)(nil), "canopy.GetRequest")
	proto.RegisterType((*GetResponse)(nil), "canopy.GetResponse")
	proto.RegisterType((*ListRequest)(nil), "canopy.ListRequest")
	proto.RegisterType((*ListResponse)(nil), "canopy.ListResponse")
}

func init() { proto.RegisterFile("canopy.proto", fileDescriptor_1982fe509e091234) }

var fileDescriptor_1982fe509e091234 = []byte{
	// 897 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x56, 0xdd, 0x8e, 0xdb, 0x44,
	0x14, 0x8e, 0xe3, 0x9f, 0x38, 0xc7, 0x49, 0x30, 0xd3, 0x08, 0x59, 0x8b, 0x10, 0xc1, 0xf4, 0x22,
	0xa4, 0x28, 0x82, 0x70, 0x05, 0x48, 0x95, 0x52, 0x40, 0x49, 0xd1, 0x56, 0x89, 0x5c, 0xb6, 0xb7,
	0x2b, 0x6f, 0x32, 0x89, 0x2c, 0x9c, 0xb1, 0xb1, 0x27, 0xae, 0xfa, 0x26, 0x48, 0xdc, 0xf1, 0x00,
	0x5c, 0xf2, 0x1e, 0xbc, 0x11, 0x9a, 0x5f, 0xdb, 0xb0, 0xad, 0xba, 0xab, 0xbd, 0xf3, 0xf9, 0x99,
	0x33, 0xdf, 0xf9, 0xce, 0x77, 0x26, 0x81, 0xc1, 0x2e, 0x26, 0x59, 0xfe, 0x66, 0x9e, 0x17, 0x19,
	0xcd, 0x90, 0x23, 0xac, 0xf0, 0x12, 0x9c, 0x17, 0x71, 0x49, 0x71, 0x81, 0xbe, 0x04, 0x37, 0x2f,
	0x70, 0x89, 0xc9, 0x0e, 0x07, 0xc6, 0xc4, 0x98, 0x8e, 0x16, 0xfe, 0x5c, 0x1e, 0xd9, 0x4a, 0x7f,
	0xa4, 0x33, 0xd0, 0x18, 0xec, 0x2a, 0x4e, 0xcf, 0x38, 0xe8, 0x4e, 0x8c, 0x69, 0x3f, 0x12, 0x46,
	0xb8, 0x06, 0x67, 0xb9, 0xdb, 0xe1, 0xb2, 0xbc, 0x63, 0x35, 0x1f, 0xcc, 0x2a, 0xd9, 0xf3, 0x5a,
	0x76, 0xc4, 0x3e, 0xc3, 0x9f, 0xc1, 0xf9, 0x25, 0x3e, 0x1e, 0xf1, 0xfe, 0x8e, 0x95, 0x10, 0x58,
	0x55, 0xb2, 0x2f, 0x83, 0xee, 0xc4, 0x9c, 0xda, 0x11, 0xff, 0x0e, 0x2f, 0xc1, 0xbd, 0x22, 0xf4,
	0xe1, 0xaa, 0x39, 0xdb, 0xb8, 0xc0, 0x84, 0x3e, 0x08, 0x63, 0x7f, 0x1a, 0x60, 0x6d, 0xb3, 0x82,
	0xa2, 0xc7, 0x60, 0x97, 0x34, 0xa6, 0xaa, 0xd2, 0x48, 0x55, 0xba, 0xca, 0x7f, 0xcc, 0x5e, 0x93,
	0x48, 0x04, 0x19, 0x51, 0x27, 0x7a, 0x56, 0x44, 0x9d, 0xe8, 0x19, 0x7d, 0x04, 0xce, 0x4d, 0x91,
	0xec, 0x8f, 0x38, 0x30, 0x79, 0x5d, 0x69, 0x31, 0x7f, 0xcc, 0x47, 0x11, 0x58, 0x3c, 0x59, 0x5a,
	0xcc, 0x2f, 0xa8, 0x08, 0x6c, 0xde, 0x94, 0xb4, 0xd0, 0x05, 0xb8, 0x67, 0x49, 0x52, 0xe0, 0xf0,
	0x88, 0xb6, 0xc3, 0xbf, 0xbb, 0x60, 0xbd, 0xa2, 0x38, 0x7f, 0x7f, 0x90, 0x15, 0x49, 0xf4, 0x34,
	0x49, 0x82, 0x3e, 0x87, 0xa1, 0x80, 0x75, 0x2d, 0x31, 0x99, 0x3c, 0x36, 0x10, 0xce, 0xa5, 0x46,
	0xb6, 0xc7, 0x55, 0xb2, 0xc3, 0x1c, 0x71, 0x3f, 0x92, 0x56, 0xa3, 0x43, 0xbb, 0xd5, 0xe1, 0x17,
	0xe0, 0xa6, 0x38, 0x2e, 0x48, 0x42, 0x8e, 0x81, 0xc3, 0xf1, 0x0c, 0x15, 0x9e, 0x0d, 0xd9, 0x1c,
	0x0e, 0x91, 0x0e, 0xa3, 0x00, 0x7a, 0x69, 0xb6, 0x8b, 0xd3, 0xe7, 0xdb, 0xa0, 0xc7, 0x6b, 0x28,
	0x53, 0x11, 0xea, 0xb6, 0x08, 0x95, 0x20, 0xfb, 0x6f, 0x21, 0x0e, 0xde, 0x4a, 0x9c, 0xf7, 0x1f,
	0xe2, 0xfe, 0x32, 0x60, 0xc0, 0x88, 0x53, 0x72, 0xb8, 0xc7, 0x5a, 0xb4, 0x89, 0xfc, 0x18, 0xfa,
	0xf4, 0x4c, 0x08, 0x4e, 0xaf, 0x93, 0x5c, 0x0e, 0xdc, 0x15, 0x8e, 0xe7, 0x39, 0x43, 0x98, 0x73,
	0x65, 0x2a, 0x02, 0x85, 0xd5, 0x22, 0xca, 0x7e, 0x27, 0x51, 0xe1, 0x53, 0x18, 0x3d, 0xe3, 0xec,
	0xde, 0x0f, 0x71, 0xf8, 0x19, 0xf4, 0x5f, 0xa5, 0x31, 0x59, 0xbe, 0x8e, 0x8b, 0x86, 0xe2, 0xd9,
	0x39, 0x57, 0x29, 0xfe, 0x05, 0x38, 0xe2, 0x8a, 0xf7, 0x54, 0xd3, 0x27, 0x00, 0x55, 0x1a, 0x93,
	0xeb, 0x98, 0xd5, 0xe4, 0x5c, 0xb8, 0x51, 0xbf, 0x52, 0x97, 0x84, 0xff, 0x98, 0xe0, 0x6e, 0x8b,
	0x2c, 0xc7, 0x05, 0x7d, 0xc3, 0xe6, 0x8c, 0x53, 0x7c, 0x62, 0x14, 0x18, 0x62, 0xce, 0xd2, 0x64,
	0x58, 0xb2, 0x62, 0x8f, 0x0b, 0x49, 0xa6, 0x30, 0xd0, 0x63, 0xb0, 0xd2, 0x84, 0xfc, 0xca, 0x99,
	0xfc, 0x1f, 0x80, 0x75, 0x27, 0xe2, 0x51, 0x84, 0x84, 0x46, 0xf8, 0x1e, 0xad, 0x3b, 0x42, 0x25,
	0x53, 0xad, 0x12, 0xc6, 0xa8, 0x57, 0x9f, 0x15, 0x62, 0x5e, 0x77, 0xb4, 0x6e, 0xa6, 0x5a, 0x37,
	0x4e, 0x3b, 0x53, 0xbc, 0x6f, 0x2c, 0x53, 0x2a, 0x69, 0xde, 0x50, 0x52, 0x8f, 0xe7, 0x6a, 0xaa,
	0xd5, 0xfb, 0xb5, 0xee, 0xd4, 0xea, 0x62, 0x95, 0x4f, 0xfc, 0xed, 0xe6, 0xf2, 0x6d, 0x54, 0x16,
	0x2f, 0x3a, 0xab, 0x2c, 0xe2, 0x68, 0x06, 0x56, 0x45, 0x71, 0xce, 0x15, 0xed, 0x2d, 0xc6, 0x2a,
	0xaf, 0x29, 0x4d, 0xd6, 0x2d, 0xcb, 0x41, 0x4f, 0x1a, 0x6a, 0x81, 0x5b, 0xd4, 0xc2, 0x20, 0xe8,
	0xc5, 0x9a, 0xe9, 0xdd, 0xf4, 0x6e, 0xd7, 0x06, 0x03, 0x21, 0xf7, 0xf5, 0xd3, 0xd6, 0x20, 0x07,
	0x6c, 0x90, 0xeb, 0x4e, 0x63, 0x94, 0xcf, 0x7a, 0x52, 0x2f, 0xe1, 0xef, 0x06, 0xf4, 0x7e, 0x92,
	0x83, 0x43, 0x60, 0x91, 0xf8, 0x84, 0xe5, 0x3c, 0xf9, 0x37, 0x0a, 0xc1, 0xca, 0xb3, 0x82, 0xf2,
	0x59, 0x7a, 0x8b, 0x81, 0xbe, 0x33, 0x2b, 0x28, 0x6b, 0x83, 0xc5, 0x58, 0x0e, 0x6f, 0xd9, 0x6c,
	0xe7, 0xb0, 0x96, 0x75, 0xab, 0x53, 0x8d, 0xde, 0x6a, 0x13, 0x28, 0x04, 0x5a, 0x63, 0xaf, 0xa1,
	0x3d, 0x05, 0x78, 0x89, 0x69, 0x84, 0x7f, 0x3b, 0xe3, 0x92, 0xa2, 0xaf, 0x00, 0x72, 0xa1, 0xbd,
	0x04, 0x97, 0x81, 0x31, 0x31, 0x9b, 0x33, 0x53, 0xaa, 0x8c, 0x1a, 0x39, 0xe1, 0x10, 0x3c, 0x7e,
	0xbe, 0xcc, 0x33, 0x52, 0xe2, 0x30, 0x04, 0x58, 0xd5, 0xe5, 0xc6, 0x60, 0xb3, 0xfe, 0x44, 0xa5,
	0x7e, 0x24, 0x8c, 0xf0, 0x3b, 0xf0, 0x56, 0xf5, 0x11, 0x36, 0x1f, 0x29, 0x6a, 0x75, 0xe3, 0x07,
	0xea, 0x46, 0xc9, 0x59, 0xa4, 0x13, 0xd8, 0x75, 0x97, 0x49, 0xa9, 0x2e, 0x08, 0xbf, 0x87, 0x81,
	0x30, 0xef, 0x51, 0x6b, 0xf6, 0x2d, 0x5b, 0x34, 0xfd, 0x63, 0xe6, 0xeb, 0xed, 0xc7, 0x25, 0x2e,
	0x2a, 0xbc, 0xf7, 0x3b, 0xc8, 0x83, 0x9e, 0xf0, 0x52, 0xdf, 0x40, 0x00, 0xce, 0xf2, 0x86, 0x7f,
	0x77, 0x67, 0x73, 0x70, 0xc4, 0x4e, 0x21, 0x04, 0x23, 0xb9, 0xde, 0xf5, 0x31, 0x07, 0xba, 0x57,
	0xb9, 0x6f, 0x20, 0x17, 0x2c, 0x16, 0xf1, 0xbb, 0xb3, 0x27, 0x60, 0x73, 0xad, 0xa1, 0x0f, 0x61,
	0x28, 0x9e, 0xa8, 0x56, 0xf6, 0x86, 0xf8, 0x06, 0xea, 0x81, 0xb9, 0x39, 0x1c, 0xfc, 0xee, 0xe2,
	0x0f, 0x03, 0x9c, 0x1f, 0x38, 0x68, 0xf4, 0x35, 0x58, 0xac, 0x3f, 0xf4, 0x48, 0x75, 0xd1, 0x68,
	0xfe, 0x62, 0xdc, 0x76, 0x4a, 0x0a, 0xe6, 0x60, 0xbe, 0xc4, 0x14, 0x21, 0x15, 0xac, 0xa7, 0x7b,
	0xf1, 0xa8, 0xe5, 0xab, 0xf3, 0x57, 0xcd, 0xfc, 0xd5, 0x2d, 0xf9, 0x8d, 0x71, 0xdd, 0x38, 0xfc,
	0xff, 0xd6, 0x37, 0xff, 0x06, 0x00, 0x00, 0xff, 0xff, 0x98, 0xc0, 0xd0, 0x6e, 0x7f, 0x09, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// CanopyClient is the client API for Canopy service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CanopyClient interface {
	List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	Set(ctx context.Context, in *SetRequest, opts ...grpc.CallOption) (*SetResponse, error)
	Get(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error)
}

type canopyClient struct {
	cc *grpc.ClientConn
}

func NewCanopyClient(cc *grpc.ClientConn) CanopyClient {
	return &canopyClient{cc}
}

func (c *canopyClient) List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/canopy.Canopy/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) Set(ctx context.Context, in *SetRequest, opts ...grpc.CallOption) (*SetResponse, error) {
	out := new(SetResponse)
	err := c.cc.Invoke(ctx, "/canopy.Canopy/Set", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *canopyClient) Get(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error) {
	out := new(GetResponse)
	err := c.cc.Invoke(ctx, "/canopy.Canopy/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CanopyServer is the server API for Canopy service.
type CanopyServer interface {
	List(context.Context, *ListRequest) (*ListResponse, error)
	Set(context.Context, *SetRequest) (*SetResponse, error)
	Get(context.Context, *GetRequest) (*GetResponse, error)
}

// UnimplementedCanopyServer can be embedded to have forward compatible implementations.
type UnimplementedCanopyServer struct {
}

func (*UnimplementedCanopyServer) List(ctx context.Context, req *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (*UnimplementedCanopyServer) Set(ctx context.Context, req *SetRequest) (*SetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Set not implemented")
}
func (*UnimplementedCanopyServer) Get(ctx context.Context, req *GetRequest) (*GetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}

func RegisterCanopyServer(s *grpc.Server, srv CanopyServer) {
	s.RegisterService(&_Canopy_serviceDesc, srv)
}

func _Canopy_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/canopy.Canopy/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).List(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_Set_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).Set(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/canopy.Canopy/Set",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).Set(ctx, req.(*SetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Canopy_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CanopyServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/canopy.Canopy/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CanopyServer).Get(ctx, req.(*GetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Canopy_serviceDesc = grpc.ServiceDesc{
	ServiceName: "canopy.Canopy",
	HandlerType: (*CanopyServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "List",
			Handler:    _Canopy_List_Handler,
		},
		{
			MethodName: "Set",
			Handler:    _Canopy_Set_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _Canopy_Get_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "canopy.proto",
}
